@echo off

REM * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ *
REM *                                                                         *
REM * IBM (R) FibreConfigurationExitWINLPCFGCodeHandler.cmd                   *
REM *                                                                         *
REM * Converts a return code number to a message                              *
REM *                                                                         *
REM * Copyright 2008-2009.  All rights reserved.                              *
REM *                                                                         *
REM * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ *

REM * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ *
REM *                                                                         *
REM *                        winlpcfg Return Codes                            *
REM *                                                                         *
REM * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ *
:Main

SET ERROR_MSG="Unable to decode error code (%1).  Please look at the documentation winlpcfg-exitcodes.txt (32-bit) or winlpcfg-exitcodes_x64.txt (64-bit) provided for more information."

IF /I "%1" == "0" (

	SET ERROR_MSG="Command executed with no error"
	GOTO EndOfScript
)

IF /I "%1" == "1" (

	SET ERROR_MSG="Invalid adapter number"
	GOTO EndOfScript
)

IF /I "%1" == "2" (

	SET ERROR_MSG="Mailbox command error"
	GOTO EndOfScript
)

IF /I "%1" == "3" (

	SET ERROR_MSG="No valid boot (BIOD) code found"
	GOTO EndOfScript
)

IF /I "%1" == "4" (

	SET ERROR_MSG="Open file error"
	GOTO EndOfScript
)

IF /I "%1" == "5" (

	SET ERROR_MSG="Invalid configuration region"
	GOTO EndOfScript
)

IF /I "%1" == "6" (

	SET ERROR_MSG="Invalid adapter name"
	GOTO EndOfScript
)

IF /I "%1" == "7" (

	SET ERROR_MSG="Download error"
	GOTO EndOfScript
)

IF /I "%1" == "8" (

	SET ERROR_MSG="Invalid boot (BIOS) code index"
	GOTO EndOfScript
)

IF /I "%1" == "9" (

	SET ERROR_MSG="Link NOT up for external loopback test"
	GOTO EndOfScript
)

IF /I "%1" == "10" (

	SET ERROR_MSG="Link NOT up for internal loopback test"
	GOTO EndOfScript
)

IF /I "%1" == "11" (

	SET ERROR_MSG="Invalid jumper selection (in jumper command)"
	GOTO EndOfScript
)

IF /I "%1" == "12" (

	SET ERROR_MSG="Invalid alternate configuration region (in jumper command)"
	GOTO EndOfScript
)

IF /I "%1" == "13" (

	SET ERROR_MSG="PCI loopback test fails"
	GOTO EndOfScript
)

IF /I "%1" == "14" (

	SET ERROR_MSG="Adapter reset error"
	GOTO EndOfScript
)

IF /I "%1" == "15" (

	SET ERROR_MSG="Read configuration region error"
	GOTO EndOfScript
)

IF /I "%1" == "16" (

	SET ERROR_MSG="No VPD information available"
	GOTO EndOfScript
)

IF /I "%1" == "17" (

	SET ERROR_MSG="No command in command line"
	GOTO EndOfScript
)

IF /I "%1" == "18" (

	SET ERROR_MSG="Open log file error"
	GOTO EndOfScript
)

IF /I "%1" == "19" (

	SET ERROR_MSG="Read wakeup parameters error"
	GOTO EndOfScript
)

IF /I "%1" == "20" (

	SET ERROR_MSG="Update wakeup parameters error"
	GOTO EndOfScript
)

IF /I "%1" == "21" (

	SET ERROR_MSG="Incorrect test parameters"
	GOTO EndOfScript
)

IF /I "%1" == "22" (

	SET ERROR_MSG="Stopped by user"
	GOTO EndOfScript
)

IF /I "%1" == "23" (

	SET ERROR_MSG="Internal loopback test fails"
	GOTO EndOfScript
)

IF /I "%1" == "24" (

	SET ERROR_MSG="External loopback test fails"
	GOTO EndOfScript
)

IF /I "%1" == "25" (

	SET ERROR_MSG="Error exists after four retries"
	GOTO EndOfScript
)

IF /I "%1" == "26" (

	SET ERROR_MSG="Invalid command"
	GOTO EndOfScript
)

IF /I "%1" == "27" (

	SET ERROR_MSG="Incorrect syntax"
	GOTO EndOfScript
)

IF /I "%1" == "28" (

	SET ERROR_MSG="Command supported only in script files"
	GOTO EndOfScript
)

IF /I "%1" == "29" (

	SET ERROR_MSG="Read_rev error"
	GOTO EndOfScript
)

IF /I "%1" == "30" (

	SET ERROR_MSG="Dump configuration region error"
	GOTO EndOfScript
)

IF /I "%1" == "31" (

	SET ERROR_MSG="Read file error"
	GOTO EndOfScript
)

IF /I "%1" == "32" (

	SET ERROR_MSG="Short file error"
	GOTO EndOfScript
)

IF /I "%1" == "33" (

	SET ERROR_MSG="Read NVPARMS error"
	GOTO EndOfScript
)

IF /I "%1" == "34" (

	SET ERROR_MSG="Write NVPAMRMS error"
	GOTO EndOfScript
)

IF /I "%1" == "35" (

	SET ERROR_MSG="Command does not support all adapters"
	GOTO EndOfScript
)

IF /I "%1" == "36" (

	SET ERROR_MSG="Invalid LUN number"
	GOTO EndOfScript
)

IF /I "%1" == "37" (

	SET ERROR_MSG="No boot (BIOS) code enabled"
	GOTO EndOfScript
)

IF /I "%1" == "38" (

	SET ERROR_MSG="Update configuration region error"
	GOTO EndOfScript
)

IF /I "%1" == "39" (

	SET ERROR_MSG="No boot (BIOS) found"
	GOTO EndOfScript
)

IF /I "%1" == "40" (

	SET ERROR_MSG="Dump memory error"
	GOTO EndOfScript
)

IF /I "%1" == "41" (

	SET ERROR_MSG="Update erasable read-only memory (EROM) error"
	GOTO EndOfScript
)

IF /I "%1" == "42" (

	SET ERROR_MSG="Delete load entry error"
	GOTO EndOfScript
)

IF /I "%1" == "43" (

	SET ERROR_MSG="Write WWN error"
	GOTO EndOfScript
)

IF /I "%1" == "44" (

	SET ERROR_MSG="Not supported in script files"
	GOTO EndOfScript
)

IF /I "%1" == "45" (

	SET ERROR_MSG="No Emulex adapter found"
	GOTO EndOfScript
)

IF /I "%1" == "46" (

	SET ERROR_MSG="Invalid Alternate Boot Device Index"
	GOTO EndOfScript
)

IF /I "%1" == "47" (

	SET ERROR_MSG="Cannot Restart Adapter"
	GOTO EndOfScript
)

IF /I "%1" == "48" (

	SET ERROR_MSG="Write Volatile Parameters error"
	GOTO EndOfScript
)

IF /I "%1" == "49" (

	SET ERROR_MSG="POST Test Error"
	GOTO EndOfScript
)

IF /I "%1" == "50" (

	SET ERROR_MSG="Incorrect Symbols"
	GOTO EndOfScript
)

IF /I "%1" == "51" (

	SET ERROR_MSG="Invalid Length"
	GOTO EndOfScript
)

IF /I "%1" == "62" (

	SET ERROR_MSG="Unable To Allocate Memory"
	GOTO EndOfScript
)

IF /I "%1" == "63" (

	SET ERROR_MSG="DFC_initDiagEnv Error"
	GOTO EndOfScript
)

IF /I "%1" == "64" (

	SET ERROR_MSG="DFC_ReadPciCfg Error"
	GOTO EndOfScript
)

IF /I "%1" == "65" (

	SET ERROR_MSG="No Driver Installed"
	GOTO EndOfScript
)

IF /I "%1" == "66" (

	SET ERROR_MSG="No Valid Driver"
	GOTO EndOfScript
)

IF /I "%1" == "200" (

	SET ERROR_MSG="General Error"
	GOTO EndOfScript
)

:EndOfScript